title = "CategoryCatalog"
url = "/categorycatalog/:category*"
layout = "main"
is_hidden = 0

[Ims\Shophelper\Components\ProductList ProductList]
sorting = "no"

[CategoryHelper]
slug = "{{ :category }}"
slug_required = 1
smart_url_check = 1
has_wildcard = 0
skip_error = 1
==
<style>
	label
	{
		margin-right: 12px;
		margin-left: 4px;
	}
</style>
<section class="catalog container mt-4">
	<div class="row">
		<div class="col-sm-12">
			<div class="row">
				<div class="col-sm-6">
					<label for="sorting">Tipo ordinamento:</label>
					<form class="form" onchange="changeSorting()">
						<select name="sorting" id="sorting-options">
							<option value="">Nessuno</option>
							<option value="new">Nuovi</option>
							<option value="price|asc">Prezzo discendente</option>
							<option value="price|desc">Prezzo ascendente</option>
						</select>
					</form>
				</div>
			</div>
			<div class="row">
				<div class="col-sm-6">
					<h2>Lista arProductList</h2>
					<div class="prod-list">
						<ul class="catalog__list list-unstyled flex-wrap row">
						    {% for obProduct in obProductList %}
						        {#<li class="catalog__item col-lg-4 col-sm-6 col-12">#}
						        <li style="display:block; width:100%;padding-left:30px;">
						            {{ obProduct.name }}
						        </li>
						    {% endfor %}
						</ul>
					</div>
				</div>
				<div class="col-sm-6">
					<form id="form_filter" class="form">

						<label for="searching">Cerca:</label>
						<input name="search" id="search" placeholder="Search...">
	
	
						{#{% set obOfferPropertyList = obCategory.offer_filter_property %}
						{% set obProductPropertyList = obCategory.product_filter_property  %}#}
						{% set arAppliedPropertyList = input('property') %}
						
						<div >
						{#<form id="fil-pan" class="form" onchange="filterOption()">#}
						
							{# Render proeprty list #}
						    {% for obProperty in obOfferPropertyList if obProperty.hasValue() %}
						        
						        {% partial 'filtersPanel' obProperty = obProperty %}
						        
						    {% endfor %}
						    
						    {% for obProperty in obProductPropertyList if obProperty.hasValue() %}
						        
						        {% partial 'filtersPanel' obProperty = obProperty %}
						        
						    {% endfor %}
					    
					    </form>
					</div>
				</div>
			</div>
		</div>
	</div>
</section>

{% put scripts %}
	<script type="text/javascript">
	
	
		/* setta la input */
		let time = 0;

		 // On change paste keyup.
		 $('#search').on('input', function () {
		     // Reset the timer
		     clearTimeout(time);
		
		     time = setTimeout(function() {
		         // enter code here or a execute function.
		         console.log('input timeout -> ricerca');
		         searchForm();
		     }, 1200);
		 });
		 
		 $("#form_filter :checkbox").change(function() {
		    console.log('value changed');
		    console.log(this.checked)
		    
		    filterProducts();
     	 });
		 
		 $("#select ").change(function() {
		    console.log('value changed');
		    console.log(this.selected)
		    
		    filterProducts();
     	 });
	
	
		function changeSorting() {
		  	var sort = document.getElementById("sorting-options").value;
	
		  	$.request('onChangeSorting', {
			  	data: {sort_type: sort},
			  	// le righe che seguono servono per abilitare il flashmessage utile per debug
			  	flash: 1,
			    handleFlashMessage: function(message, type) {
			        $.oc.flashMsg({ text: message, class: type })
			    },
			    //success: function(data) { console.log(data); }, 
			  	// invece di aggiornare una partial con questa istruzione si può leggere il valore
			  	complete: function() { 
			  		/*
			  		try{ $('#menu_inner').lightGallery(); $('#menu_inner').data('lightGallery').destroy(true); }catch(ex){};
			  		$('#menu_inner').lightGallery({
					    thumbnail:true,
					    selector: "a"
					});*/
			  	},
			  	
			});
		  
		}
		
		function searchForm() {
		  	var tSearch = $("#search").val();
		  	console.log('search -> ' + tSearch)

		  	$.request('onSearchForm', {
			  	data: {'search': tSearch},
			  	// le righe che seguono servono per abilitare il flashmessage utile per debug
			  	flash: 1,
			    handleFlashMessage: function(message, type) {
			        $.oc.flashMsg({ text: message, class: type })
			    },
			    //success: function(data) { console.log(data); }, 
			  	// invece di aggiornare una partial con questa istruzione si può leggere il valore
			  	complete: function() { 
			  		/*
			  		try{ $('#menu_inner').lightGallery(); $('#menu_inner').data('lightGallery').destroy(true); }catch(ex){};
			  		$('#menu_inner').lightGallery({
					    thumbnail:true,
					    selector: "a"
					});*/
			  	},
			  	
			});
		  
		}
		
		
		function filterProducts() {
		  	
		  	$data = $('#form_filter').serializeArray();
		  	
		  	$.request('onFilterProducts', {
			  	data: {properties: $data},
			  	// le righe che seguono servono per abilitare il flashmessage utile per debug
			  	flash: 1,
			    handleFlashMessage: function(message, type) {
			        $.oc.flashMsg({ text: message, class: type })
			    },
			    //success: function(data) { console.log(data); }, 
			  	// invece di aggiornare una partial con questa istruzione si può leggere il valore
			  	complete: function() { 
			  		/*
			  		try{ $('#menu_inner').lightGallery(); $('#menu_inner').data('lightGallery').destroy(true); }catch(ex){};
			  		$('#menu_inner').lightGallery({
					    thumbnail:true,
					    selector: "a"
					});*/
			  	},
			  	
			});
			
		}
		
		{#
		function selectOption(){
		  	//var option = document.activeElement.value;
		  	
		  	$data = $('form').serializeArray() 
		  	
		  	/*
		  	var $inputs = $('#myForm :input');
		  	var option = {};
		    $inputs.each(function() {
		        values[this.name] = $(this).val();
		    });
		    */
		  	
		  	$.request('onSelectOption', {
			  	data: {properties: $data},
			  	// le righe che seguono servono per abilitare il flashmessage utile per debug
			  	flash: 1,
			    handleFlashMessage: function(message, type) {
			        $.oc.flashMsg({ text: message, class: type })
			    },
			    //success: function(data) { console.log(data); }, 
			  	// invece di aggiornare una partial con questa istruzione si può leggere il valore
			  	complete: function() { 
			  		/*
			  		try{ $('#menu_inner').lightGallery(); $('#menu_inner').data('lightGallery').destroy(true); }catch(ex){};
			  		$('#menu_inner').lightGallery({
					    thumbnail:true,
					    selector: "a"
					});*/
			  	},
			  	
			});
			
		}
		#}
		
		
		
	</script>
{% endput %}